
QGIS Application - Bug report #16778

Rule-based styling crash

2017-07-01 05:53 PM - Didier Genier

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24677

Description

QGIS got freeze when using rule-based style for layers (create or modify) on v2.18.10

History

#1 - 2017-07-03 01:09 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

1) does in happens on master, as you say in the ticket details, or on 2.18.10 as you say in the description?

2) on 2.18.10 on the same platform and platform version, no issues here. Please attach sample data and exact steps to replicate.

#2 - 2017-07-03 10:01 AM - Didier Genier

Hello,

1) issue appear with 2.18.10 version (was not available in choice);

2) QGIS work well with rule-based style created before. Just when I attempt to modify/create a rule, all freeze and I have to kill process from console.

Didier

#3 - 2017-07-03 10:30 AM - Didier Genier

- File rule-based-bug.zip added

Data's and style :

#4 - 2017-07-05 04:39 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.10

Didier Genier wrote:

Data's and style :
wihtout any issue here on both Ubuntu and Windows and qgis 2.18.10. I suggest to try on clean machine, with no 4rd party plugins active or installed.

#5 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#6 - 2017-07-25 08:25 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.

Files

rule-based-bug.zip 17.3 KB 2017-07-03 Didier Genier
